# Upload point cloud file

| **Description** | Uploads a point cloud file as multipart form.            |
| --------------- | -------------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/pointCloud/timestamp/{timestampId}/file` |
| **Method**      | POST                                                     |

## Access Level Rules

| **Minimum Access Level** | edit+ |
| ------------------------ | ----- |

## Processing Units

| **Minimum processing units** | 2 |
| ---------------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="351">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the point cloud layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the timestamp the upload is for.</td><td>true</td><td></td></tr><tr><td><code>name</code></td><td>The name of the file to be uploaded.</td><td>true</td><td></td></tr><tr><td><code>data</code></td><td>The file to be uploaded.</td><td>true</td><td></td></tr><tr><td><code>epsg</code></td><td>The epsg of the file as an integer. Required if the file itself does not contain a coordinate system.</td><td>false</td><td>Default null.</td></tr><tr><td><code>format</code></td><td>The format of the file.</td><td>false</td><td>Default "las".</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-pointcloud/timestamps/point-cloud-uploads/upload-point-cloud-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
